#!/bin/bash

unset LANG
export LANG=C

# setup
multi1=13
multi2=7
rndm=0.0
sfctype=1
step_select="  154  155  157"
p1d_root=0
io_groupsz=256

nprocs_list="$NCPU"
method_list="3 6 8 14 16"
sfcd_groupsz_list="64 256 1024"

nprocs=$NCPU
lb_target="1.00"

for method in $method_list
do
    for sfcd_groupsz in $sfcd_groupsz_list
    do

        # create config file fort.40
        config=fort.40
        > $config
        printf "%5d%5d\n" $multi1 $multi2 >> $config
        printf "%5.3f\n" "$rndm" >> $config
        printf "%2d\n" $sfctype >> $config
        printf "%2d\n" $method >> $config
        printf "%7d\n" $nprocs >> $config
        printf "%6.4f\n" $lb_target >> $config
        echo "$step_select" >> $config
        printf "%7d\n" $sfcd_groupsz >> $config
        printf "%7d\n" $p1d_root >> $config
        printf "%7d\n" $io_groupsz >> $config

        logfile=`printf "run-%02dx%02d-%06d-m%02d-gsz%06d.log" $multi1 $multi2 $nprocs $method $sfcd_groupsz`
        date
        echo RUNNING $logfile

        runjob --exp_env BG_COREDUMPDISABLED --exp_env OMP_NUM_THREADS \
               --ranks-per-node 32 \
               --np $nprocs \
               --exe ../partbench > $logfile 2>&1

        if [ $method -lt 9 -o $method -gt 18 ]
        then
          break
        fi

    done
done

date

